Bug 591547 - [abrt] crash in python-bugzilla-0.5.1-3.fc12: socket.py:498:create_connection:gaierror: [Errno -3] Temporary failure in name resolution
[abrt] crash in python-bugzilla-0.5.1-3.fc12: socket.py:498:create_connection...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:c0bef125
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 10:32 EDT by Mohammed Yehia
Modified: 2010-12-03 09:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:46:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.67 KB, text/plain)
2010-05-12 10:32 EDT, Mohammed Yehia
no flags Details

  None (edit)
Description Mohammed Yehia 2010-05-12 10:32:16 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/bugzilla login
component: python-bugzilla
executable: /usr/bin/bugzilla
kernel: 2.6.32.11-99.fc12.i686
package: python-bugzilla-0.5.1-3.fc12
reason: socket.py:498:create_connection:gaierror: [Errno -3] Temporary failure in name resolution
release: Fedora release 12 (Constantine)

backtrace
-----
socket.py:498:create_connection:gaierror: [Errno -3] Temporary failure in name resolution

Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 595, in <module>
    main()
  File "/usr/bin/bugzilla", line 296, in main
    bz=bzclass(url=global_opt.bugzilla)
  File "/usr/lib/python2.6/site-packages/bugzilla/__init__.py", line 69, in __init__
    c = getBugzillaClassForURL(kwargs['url'])
  File "/usr/lib/python2.6/site-packages/bugzilla/__init__.py", line 32, in getBugzillaClassForURL
    prodinfo = s.bugzilla.getProdInfo()
  File "/usr/lib/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/xmlrpclib.py", line 1235, in request
    self.send_content(h, request_body)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1349, in send_content
    connection.endheaders()
  File "/usr/lib/python2.6/httplib.py", line 868, in endheaders
    self._send_output()
  File "/usr/lib/python2.6/httplib.py", line 740, in _send_output
    self.send(msg)
  File "/usr/lib/python2.6/httplib.py", line 699, in send
    self.connect()
  File "/usr/lib/python2.6/httplib.py", line 1072, in connect
    sock = socket.create_connection((self.host, self.port), self.timeout)
  File "/usr/lib/python2.6/socket.py", line 498, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
gaierror: [Errno -3] Temporary failure in name resolution

Local variables in innermost frame:
msg: 'getaddrinfo returns an empty list'
host: 'bugzilla.redhat.com'
port: 443
timeout: <object object at 0xb78a0490>
address: ('bugzilla.redhat.com', 443)
Comment 1 Mohammed Yehia 2010-05-12 10:32:20 EDT
Created attachment 413441 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 11:00:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 09:46:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.